Bug 1019747 - /etc/pki/consumer folder is not moved to consumer.old after deleting the consumer
/etc/pki/consumer folder is not moved to consumer.old after deleting the cons...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Devan Goodwin
John Sefler
:
Depends On:
Blocks: rhsm-rhel70
  Show dependency treegraph
 
Reported: 2013-10-16 06:52 EDT by Shwetha Kallesh
Modified: 2014-06-17 20:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:58:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shwetha Kallesh 2013-10-16 06:52:32 EDT
Description of problem:
/etc/pki/consumer folder is not moved to consumer.old after deleting the consumer

and restarting rhsmcertd service

Version-Release number of selected component (if applicable):


[root@localhost ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.8.29-1
subscription-manager: 1.10.3-1.git.3.d610508.el7
python-rhsm: 1.10.3-1.git.0.6ac2883.el7


How reproducible:


Steps to Reproduce:
[root@localhost ~]# subscription-manager identity
Current identity is: 7e93de90-778a-4404-b037-89947d35d405
name: localhost.localdomain
org name: Admin Owner
org ID: admin

[root@localhost ~]# curl -k -u admin:admin --request DELETE https://10.70.35.34:8443/candlepin/consumers/7e93de90-778a-4404-b037-89947d35d405


[root@localhost ~]# service rhsmcertd restart
Redirecting to /bin/systemctl restart  rhsmcertd.service


[root@localhost ~]# date
Wed Oct 16 16:26:55 IST 2013

[root@localhost ~]# subscription-manager identity
Unit 7e93de90-778a-4404-b037-89947d35d405 has been deleted
[root@localhost ~]# ls /etc/pki/
CA  ca-trust  consumer  entitlement  java  nssdb  pesign  product  rpm-gpg  rsyslog  tls


[root@localhost ~]# date
Wed Oct 16 16:29:14 IST 2013
[root@localhost ~]# ls /etc/pki/
CA  ca-trust  consumer  entitlement  java  nssdb  pesign  product  rpm-gpg  rsyslog  tls




Actual results:


Expected results:


Additional info:
Comment 2 Devan Goodwin 2014-02-10 08:01:18 EST
Sending this back for a re-test, this is already working for me, perhaps something fixed in the last few months.
Comment 3 John Sefler 2014-02-11 15:42:01 EST
Re-testing version...

[root@jsefler-7 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.3-1
subscription-manager: 1.10.13-1.el7
python-rhsm: 1.10.12-1.el7


[root@jsefler-7 ~]# subscription-manager register --serverurl=jsefler-f14-candlepin.usersys.redhat.com:8443/candlepin
Username: testuser1
Password: 
Organization: admin
The system has been registered with ID: 8c5fd8e7-6cc1-4bd5-aae1-a11919bbd663 

[root@jsefler-7 ~]# ls -l /etc/pki
total 4
drwxr-xr-x. 6 root   root     57 Jan 15 08:50 CA
drwxr-xr-x. 4 root   root     48 Jan 21 19:52 ca-trust
drwxr-xr-x. 2 root   root     35 Feb 11 15:26 consumer
drwxr-xr-x. 2 root   root      6 Feb 11 15:25 entitlement
drwxr-xr-x. 2 root   root     20 Jan 21 19:52 java
drwxr-xr-x. 2 root   root     97 Jan 29 12:39 nssdb
drwxrwxr-x. 2 pesign pesign   51 Jan 21 20:04 pesign
drwxr-xr-x. 2 root   root     20 Feb 11 11:00 product
drwxr-xr-x. 2 root   root   4096 Jan 21 19:57 rpm-gpg
drwx------. 2 root   root      6 Jan 21 10:28 rsyslog
drwxr-xr-x. 5 root   root     76 Jan 21 19:53 tls

[root@jsefler-7 ~]#  curl -k -u admin:admin --request DELETE https://jsefler-f14-candlepin.usersys.redhat.com:8443/candlepin/consumers/8c5fd8e7-6cc1-4bd5-aae1-a11919bbd663
[root@jsefler-7 ~]# service rhsmcertd restart
Redirecting to /bin/systemctl restart  rhsmcertd.service
[root@jsefler-7 ~]# sleep 120
[root@jsefler-7 ~]# ls -l /etc/pki
total 4
drwxr-xr-x. 6 root   root     57 Jan 15 08:50 CA
drwxr-xr-x. 4 root   root     48 Jan 21 19:52 ca-trust
drwxr-xr-x. 2 root   root     35 Feb 11 15:26 consumer.old
drwxr-xr-x. 2 root   root     20 Jan 21 19:52 java
drwxr-xr-x. 2 root   root     97 Jan 29 12:39 nssdb
drwxrwxr-x. 2 pesign pesign   51 Jan 21 20:04 pesign
drwxr-xr-x. 2 root   root     20 Feb 11 11:00 product
drwxr-xr-x. 2 root   root   4096 Jan 21 19:57 rpm-gpg
drwx------. 2 root   root      6 Jan 21 10:28 rsyslog
drwxr-xr-x. 5 root   root     76 Jan 21 19:53 tls


VERIFIED: The consumer cert directory is moved to consumer.old directory when the rhsmcertd checks in with the server and determines that the consumer has been deleted at the server.
Comment 5 Ludek Smid 2014-06-13 08:58:16 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.